The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Add a cross account

Prev Next

This URL adds a adds a cross account for a Controller.

Resource URL

POST /controller/account/<accound id>/crossaccount

Request Parameters

URL Parameters:

Field Name

Description

Data Type

Mandatory

accound id

ID allocated by the Manager for the cloud account associated with the Controller

number

Yes

Payload Parameters:

Field Name

Description

Data Type

Mandatory

name

Cross account name

string

Yes

crossAccountId

Cross account ID

string

Yes

Response Parameters

Following fields are returned in the response.

Field Name

Description

Data Type

success

Indicates if the cross account addition is successful.

Value is set to true if the addition is successful.

Value is set to false if the addition is not successful.

string

msg

Message if cross account addition is successful

string

errMsg

Error message if the cross account addition is not successful

string

domainName

Domain in which the cross account is added

string

data

Name of the cross account that was added

string

Example

Request

POST https://<NSM_IP>/intruvert/webservice/api/v1/cloud/controller/account/7/crossaccount

Payload

{
 "name":"Finance-compartment-1",
 "crossAccountId":"arn:aws:iam::97284xxxx:instance-profile/Trellix_vIPS_IAM"
}

Response

{
    "success": true,
    "msg": "Success",
    "errMsg": null,
    "domainName": null,
    "data": "Finance-compartment-1"
}